Subject: Re: bug#39679: DuckDuckGo search results forgotten when GNU LibreJS is disabled

From: Guilherme Lino <[email-masked]>
Date: Thu, 20 Feb 2020 13:35:12 +0000

Hello,

That's the annoying behaviour I also get with Tor browser. So I do not
think it has anything to do with Icecat or LibreJs.

Regards

On Wed, 19 Feb 2020 at 17:55, Maxim Cournoyer <[email-masked]>
wrote:

> Hello,
>
> I've noticed that when using Icecat with LibreJS disabled, the DDG
> search results are not "remembered" upon hitting Alt-LeftArrow or
> clicking the back button, and instead a blank DuckDuckGo page is shown.
>
> Steps to reproduce:
>
> 1. Go to settings, disable LibreJS
> 2. Use the URL/search bar to enter a search query
> 3. Click on one of the links returned on the DDG query page.
> 4. Hit back.
> 5. Notice the blank DDG page instead of the previous list of results.
>
> Thanks for the great work on Icecat!
>
> Maxim
>
>
>
>

-- 

Guilherme Lino